{
	"columns": [
		{
			"field": "sor_product_id",
			"width": 130,
			"name": "Tuote",
			"footerValue": "/B1,==BreakValue"
		},
		{
			"headerBackColor": -2,
			"width": 45,
			"footerValue": "/O2",
			"lineBackColor": -2,
			"field": "so_company_id",
			"lineForeColor": -2,
			"name": "Tilaaja",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 45,
			"lineBackColor": -2,
			"field": "so_order_date",
			"lineForeColor": -2,
			"name": "Tilauspv",
			"headerForeColor": -2
		},
		{
			"field": "sor_explanation",
			"width": 130,
			"name": "Selitys"
		},
		{
			"field": "sor_sales_order_id",
			"width": 40,
			"name": "Tilaus",
			"footerValue": "/O3"
		},
		{
			"headerBackColor": -2,
			"width": 50,
			"lineBackColor": -2,
			"field": "so_your_reference",
			"lineForeColor": -2,
			"name": "As.viite",
			"headerForeColor": -2
		},
		{
			"field": "sor_row_number",
			"width": 20,
			"name": "Rivi",
			"footerValue": "/O4"
		},
		{
			"width": 20,
			"field": "sor_partial_delivery_number",
			"footerValue": "/O5",
			"name": "Erä",
			"format": "#0;;"
		},
		{
			"field": "sor_customer_row_number",
			"width": 20,
			"name": "As.erä"
		},
		{
			"width": 45,
			"field": "sor_ordered_amount",
			"footerValue": "=[10]*(_rep_UniqueValue([5]+String([7])))===Sum",
			"name": "Tilattu",
			"format": "### ##0,##"
		},
		{
			"width": 45,
			"field": "sor_delivered_quantity",
			"footerValue": "==Sum",
			"name": "Toimitettu",
			"format": "### ##0,##"
		},
		{
			"width": 45,
			"field": "sor_waiting_for_delivery",
			"footerValue": "==Sum",
			"name": "Jäljellä mrä",
			"format": "### ##0,##"
		},
		{
			"field": "sor_delivery_state",
			"width": 20,
			"name": "Tila"
		},
		{
			"field": "sor_delivered_date",
			"width": 45,
			"name": "Toim.pv"
		},
		{
			"field": "sor_sales_price_total",
			"width": 70,
			"name": "Myyntihinta mrä",
			"footerValue": "==Sum"
		}
	],
	"options": {
		"enterable": 0,
		"manyField": "sor_kTbl",
		"gridName": "Toimitetut tuotteittain",
		"lineHeight": 2,
		"type": "Output",
		"footerHeight": 1,
		"oneField": "sor_kTbl",
		"headerHeight": 2
	}
}